export class HelpMenuE2EComponent {
  private readonly root: string = 'help-menu';
  private readonly button: string = 'help-menu-button';
  private readonly openDocumentationButton: string = 'open-documentation-button';

  public getRoot() {
    return cy.getTestElementWithOid(this.root);
  }

  public getButton() {
    return this.getRoot().getTestElementWithOid(this.button);
  }

  public getOpenDocumentationButton() {
    return this.getRoot().getTestElementWithOid(this.openDocumentationButton);
  }
}
