import { UserSettings, UserSettingsResource } from '@alfa-client/user-settings-shared';
import { toResource } from '../../../tech-shared/test/resource';
import { createUserSettings } from '../../test/user-settings';
import { mapUserSettingsResourceToUserSettings } from './user-settings.util';

describe('mapUserSettingsResourceToUserSettings', () => {
  it('should remove resource attributes', () => {
    const userSettings: UserSettings = createUserSettings();
    const userSettingsResource: UserSettingsResource = toResource(userSettings);

    const result: UserSettings = mapUserSettingsResourceToUserSettings(userSettingsResource);

    expect(result).toEqual(userSettings);
  });
});
