import { Injectable } from '@angular/core';
import { FormBuilder, FormControl, FormGroup } from '@angular/forms';
import { ResourceUri } from '@ngxp/rest';

@Injectable()
export class SearchZustaendigeStelleFormservice {
  public form: FormGroup;

  public readonly SEARCH_FIELD: string = 'search';

  constructor(private formBuilder: FormBuilder) {
    this.initForm();
  }

  private initForm(): void {
    this.form = this.formBuilder.group({
      [this.SEARCH_FIELD]: new FormControl<ResourceUri>(null),
    });
  }
}
