/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
export enum MessagesE2E {
  HTTP_STATUS_FORBIDDEN = 'Die Aktion konnte wegen fehlender Berechtigungen nicht durchgeführt werden',
  HTTP_SERVER_ERROR_DIALOG_HEADER = 'Es ist ein Fehler aufgetreten ...',
  HTTP_SERVER_ERROR = 'Wir sind nicht ganz sicher, was schiefgelaufen ist. Der Fehler wurde unserem Support gemeldet. Bitte starten sie die Anwendung neu.',

  WIEDERVORLAGE_ANGELEGT = 'Die Wiedervorlage "%s" wurde angelegt',
  WIEDERVORLAGE_GESPEICHERT = 'Die Wiedervorlage "%s" wurde gespeichert',

  USER_PROFILE_SERVICE_UNAVAILABLE = 'Die Benutzerdaten konnten nicht geladen werden',
  USER_PROFILE_RESOURCE_NOT_FOUND = 'Der zugewiesene Bearbeiter konnte nicht gefunden werden',
  USER_PROFILE_UNASSIGNED = 'Kein Bearbeiter zugewiesen',
}
