import { faker } from '@faker-js/faker';
import { User } from '../../src/lib/user/user.model';

export function createUser(): User {
  return {
    id: faker.word.sample(),
    username: faker.word.sample(),
    firstName: faker.person.firstName(),
    lastName: faker.person.lastName(),
    email: faker.internet.email(),
    roles: null,
    groups: null,
  };
}
