import { createEmptyStateResource, HasLinkPipe } from '@alfa-client/tech-shared';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MockComponent } from 'ng-mocks';
import { UserSettingsDarkmodeContainerComponent } from './user-settings-darkmode-container/user-settings-darkmode-container.component';
import { UserSettingsDropdownComponent } from './user-settings-dropdown.component';
import { UserSettingsEmailBenachrichtigungContainerComponent } from './user-settings-email-benachrichtigung-container/user-settings-email-benachrichtigung-container.component';

describe('UserSettingsDropdownComponent', () => {
  let component: UserSettingsDropdownComponent;
  let fixture: ComponentFixture<UserSettingsDropdownComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [UserSettingsDropdownComponent],
      declarations: [
        MockComponent(UserSettingsDarkmodeContainerComponent),
        MockComponent(UserSettingsEmailBenachrichtigungContainerComponent),
        HasLinkPipe,
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(UserSettingsDropdownComponent);
    component = fixture.componentInstance;
    component.apiRoot = createEmptyStateResource();
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
