package de.ozgcloud.alfa.bescheid;

import de.ozgcloud.document.GrpcDocument;

public class GrpcDocumentTestFactory {

	public static final String ID = DocumentTestFactory.ID;
	public static final String TYPE = DocumentTestFactory.TYPE;
	public static final String FILE_ID = DocumentTestFactory.FILE_ID.toString();
	public static final String NACHRICHT_SUBJECT = DocumentTestFactory.NACHRICHT_SUBJECT;
	public static final String NACHRICHT_TEXT = DocumentTestFactory.NACHRICHT_TEXT;

	public static GrpcDocument create() {
		return createBuilder().build();
	}

	public static GrpcDocument.Builder createBuilder() {
		return GrpcDocument.newBuilder()
				.setId(ID)
				.setType(TYPE)
				.setFileId(FILE_ID)
				.setNachrichtSubject(NACHRICHT_SUBJECT)
				.setNachrichtText(NACHRICHT_TEXT);
	}
}
