package de.ozgcloud.alfa.collaboration;

import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.alfa.collaboration.Collaboration.CollaborationBuilder;

public class CollaborationTestFactory {

	public static final String VORGANG_ID = UUID.randomUUID().toString();
	public static final String COLLABORATION_VORGANG_ID = UUID.randomUUID().toString();
	public static final String TITEL = LoremIpsum.getInstance().getWords(7);
	public static final String BESCHREIBUNG = LoremIpsum.getInstance().getParagraphs(2, 5);
	public static final String ZUSTAENDIGE_STELLE = OrganisationsEinheitTestFactory.ID;

	public static Collaboration create() {
		return createBuilder()
				.build();
	}

	private static CollaborationBuilder createBuilder() {
		return Collaboration.builder()
				.vorgangId(VORGANG_ID)
				.collaborationVorgangId(COLLABORATION_VORGANG_ID)
				.titel(TITEL)
				.beschreibung(BESCHREIBUNG)
				.zustaendigeStelle(ZUSTAENDIGE_STELLE);
	}
}
