package de.ozgcloud.alfa.collaboration;

import de.ozgcloud.zufi.grpc.organisationseinheit.GrpcOrganisationsEinheit;
import de.ozgcloud.zufi.grpc.organisationseinheit.GrpcOrganisationsEinheitSearchResponse;
import de.ozgcloud.zufi.grpc.organisationseinheit.GrpcOrganisationsEinheitSearchResponse.Builder;

public class GrpcOrganisationsEinheitSearchResponseTestFactory {

	public static final GrpcOrganisationsEinheit ORGANISATIONS_EINHEIT = GrpcOrganisationsEinheitTestFactory.create();

	public static GrpcOrganisationsEinheitSearchResponse create() {
		return createBuilder()
				.build();
	}

	public static Builder createBuilder() {
		return GrpcOrganisationsEinheitSearchResponse.newBuilder()
				.addOrganisationsEinheiten(ORGANISATIONS_EINHEIT);
	}
}
