package de.ozgcloud.alfa.common;

import de.ozgcloud.alfa.common.file.OzgFile;
import lombok.AccessLevel;
import lombok.NoArgsConstructor;

@NoArgsConstructor(access = AccessLevel.PRIVATE)
public class ExportFilenameGenerator {

	public static String generateExportFilename(OzgFile ozgFile) {
		return String.format("%s_%s", UUIDConverter.fromObjectId(ozgFile.getId().toString()), ozgFile.getName());
	}
}
